.. include:: ./vars.rst

Channel
=======

**extends** Equality_

The Channel class is the base class for all types of channel.

--------

Attributes
----------

id
~~

The ID of the channel, a `String`.

client
~~~~~~

The Client_ that cached the channel.

isPrivate
~~~~~~~~~

Indicates whether the channel is PM channel, is `Boolean`.
